# Asterisk Project : Asterisk 12 Function_FILE_COUNT_LINE

Added by wikibot , edited by wikibot on Aug 29, 2013

# FILE_COUNT_LINE()

### Synopsis

Obtains the number of lines of a text file.

### Description

Returns the number of lines, or `-1` on error.

### Syntax

    FILE_COUNT_LINE(filename,format)

##### Arguments

- `filename`
- `format` - Format may be one of the following:
  - `u` - Unix newline format.
  - `d` - DOS newline format.
  - `m` - Macintosh newline format.

    Note

    If not specified, an attempt will be made to determine the newline format type.

### See Also

- Asterisk 12 Function_FILE
- Asterisk 12 Function_FILE_FORMAT

### Import Version

This documentation was imported from Asterisk Version Unknown